%define name	paml
%define version 3.14
%define beta	beta3
%define release %mkrel 0.%{beta}.2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Phylogenetic analyses of DNA or protein sequences using maximum likelihood
URL:		http://abacus.gene.ucl.ac.uk/software/paml.html
Source:		ftp://abacus.gene.ucl.ac.uk/pub/paml/%{name}%{version}%{beta}.tar.bz2
License:	Freeware
Group:		Sciences/Biology
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
PAML (for Phylogentic Analysis by Maximum Likelihood) contains a few
programs for model fitting and phylogenetic tree reconstruction using
nucleotide or amino-acid sequence data.  PAML is distributed free of
charge for academic use only.

This package is in PLF because of its non-free license.

%prep
%setup -q -n %{name}%{version}
find . -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'

%build
cd src
%make -f Makefile.UNIX CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
cd src
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 baseml basemlg chi2 codeml evolver mcmctree pamp yn00 %{buildroot}%{_bindir}

%files
%defattr(-,root,root)
%doc *.txt *.aa *.dat *.nuc *.trees *.ctl doc examples paupblock paupend paupstart
%{_bindir}/*

%clean
rm -rf %{buildroot}

%changelog
* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 3.14-0.beta3.2plf
- %mkrel
- spec cleanup
- fix doc file encoding

* Fri Oct 01 2004 Guillaume Rousse <guillomovitch@zarb.org> 3.14-0.beta3.1plf 
- first plf release, based on a spec from Bent Terp <Bent.Terp@bea.ki.se>
